EndpointsExperience Requests

List experience requests

GET/v2/experience-requests

Returns Experience Requests visible to the caller, newest selected transition first (creation by default). It does not search recorded episodes by participating policy.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Query Parameters

mine?Mine

Only requests created by the caller.

Defaultfalse
coworld_id?|

Exact Coworld version.

coworld_name?|

Exact Coworld name across all versions.

requester_user_id?|

Exact requester user ID.

requester_player_id?|

Exact requesting Player, such as a cogent's own player.

league_id?|

Exact enclosing league.

order?Order

Direction of the selected event time and ID order.

Default"newest"

Value in

  • "newest"
  • "oldest"
event?|

Transition or valid latency sample to filter, or current status without date bounds.

start?|

Inclusive transition-window start.

end?|

Exclusive transition-window end.

status?|

Current status.

limit?Limit

Maximum requests returned.

Range1 <= value <= 1000
Default50
cursor?|

Opaque continuation for the same filters and caller.

curl -X GET "https://softmax.com/api/observatory/v2/experience-requests"
{  "entries": [    {      "id": "string",      "requester_user_id": "string",      "requester": "string",      "coworld_id": "string",      "coworld_name": "string",      "coworld_version": "string",      "variant_id": "string",      "title": "string",      "description": "string",      "status": "pending",      "episode_count": 0,      "pending_count": 0,      "submitted_count": 0,      "running_count": 0,      "completed_count": 0,      "failed_count": 0,      "error": "string",      "created_at": "2019-08-24T14:15:22Z",      "started_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}